.gra-strona {
    font-family: 'Poppins', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    background: white;
    gap: 150px;
    flex-wrap: wrap;
    margin-bottom: 100px;
}

.plansza {
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(7, 80px);
    grid-template-rows: repeat(7, 80px);
    gap: 2px;
    background: #333;
    border: 4px solid #222;
    position: relative; 
    max-width: fit-content;
}
.haslo {
    text-align: center;
    font-family: 'Poppins',sans-serif;
    font-size: 32px;
    font-weight: 1000;
    margin-top: 50px;;
    color: #2e7d32;
    letter-spacing: 1px;
}

.kolor-0 { background: #00bcd4; }
.kolor-1 { background: #F7C948; }
.kolor-2 { background: #e76f51; }
.kolor-3 { background: #f6c1d0; }
.kolor-4 { background: #8bc34a; }

.bohater {
  width: 30%;
  height: 30%;
  object-fit: contain;
  position: absolute;
  transition: transform 0.3s ease, top 0.3s ease, left 0.3s ease;
}
.przedmiot {
    width: 80%;
    height: 80%;
    object-fit: contain;
}

.panel {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
}

.naglowek {
    color: #264653;
    margin: 0;
    text-align: center;
}
.ruchy, .liczby {
    display: flex;
    justify-content: center;
    gap: 5px;
}
.liczby{
    flex-direction: column;
    gap: 5px;
}
#twoje-ruchy{
    width: 90%;
    border: 2px solid black;
    border-radius: 20px;
    text-align: center;
    padding: 10px 0px;
    display: none;
}
#ruchy{
    display: flex;
    flex-direction: column;
    gap: 5px;
}
#przyciski-gra{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: fit-content;
    gap: 10px;
    padding: 40px;
    border-radius: 20px;
    background-color: #f1f1f1;
}
#ruchy_content{
    display: flex;
    gap: 5px;
}
.ruchy > button, .liczby > button{
    width: 50px;
    aspect-ratio: 1 / 1;
    border: none;
}
.gra-strona button {
    font-size: 18px;
    cursor: pointer;
    border-radius: 10px;
    background-color: #2a9d8f;
    color: white;
    transition: background-color 0.3s, transform 0.2s;
}

.gra-strona button:hover {
    background-color: #2e7d32;
    transform: scale(1.05);
}

.gra-strona .btn-arrow {
    font-size: 24px;
    background-color: #e76f51;
}

.gra-strona .btn-arrow:hover {
    background-color: #d45d40;
}

.gra-strona .ok-button {
    background-color: #f4a261;
    font-weight: bold;
    font-size: 18px;
    border: none;
    height: 50px;
}

.gra-strona .btn-start {
    background-color: #8bc34a;
    color: white;
    font-weight: bold;
    padding: 12px 24px;
    font-size: 20px;
}




.modal {
  display: none;
  position: fixed;
  z-index: 999;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0,0,0,0.4);
}


.modal-content {
  background-color: #fff;
  margin: auto;
  padding: 20px 30px;
  border: 2px solid #888;
  width: 100%;
  max-width: 600px;
  border-radius: 10px;
  font-family: Poppins, sans-serif;
  font-size: 16px;
  color: #333;
  box-shadow: 0 0 20px rgba(0,0,0,0.3);
}


.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
}

.close:hover {
  color: #000;
}
.gra-strona .btn-start1 {
    background-color: #8bc34a;
    color: white;
    font-weight: bold;
    padding: 12px 24px;
    font-size: 20px;
}
.panel .btn-start1:hover{
    background-color: #2e7d32;
}
.gra_info_btn{
    text-align: center; 
    margin-top: 20px;
    margin-bottom: 40px;
}
@media screen and (max-width: 1204px) {
    .gra-strona{
        gap: 50px;
    }
}
@media screen and (max-width: 700px) {
    .modal-content{
        width: 80%;
    }
    .modal-content > h3{
        font-size: 18px;
    }
    .modal-content > ul{
        font-size: 14px;
    }
}
@media screen and (max-width: 600px) {
    .gra_info_btn{
        margin-top: 10px;
        margin-bottom: 20px;
    }    
    .gra-strona{
        gap: 20px;
    }
    .panel{
        gap: 10px;
    }
    .plansza{
        margin-top: 15px;
        grid-template-columns: repeat(7, 60px);
        grid-template-rows: repeat(7, 60px);
    }
    .haslo{
        font-size: 22px;
    }
}
@media screen and (max-width: 520px) {
    .plansza{
        grid-template-columns: repeat(7, 40px);
        grid-template-rows: repeat(7, 40px);
    }
    .haslo{
        font-size: 18px;
    }
    .naglowek{
        font-size: 20px;
    }
    .btn-start1{
        font-size: 18px !important;
    }
    .btn-start{
        font-size: 18px !important;
    }
    .ruchy > button {
        font-size: 15px !important;
    }
    .liczby > button {
        font-size: 15px !important;
    }
    .ruchy > button, .liczby > button{
        width: 40px;
    }
    .gra-strona .ok-button{
        height: 40px;
    }
}